------------------------ COPYRIGHT STATEMENT ----------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-C40
-- (C) Copyright IBM Corp. 2003.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
------------------------END OF COPYRIGHT STATEMENT -----------------------
--------------------------------------------------------------------------
-- CMVC Location: src/com/tivoli/managed/install/database/migration/m-sdcTables1211.db2, database, slm1.2.1.fp1
-- Version:       1.2
-- Last Modified: 7/18/03
--------------------------------------------------------------------------

--
-- SDC Fixpack Migration Changes
--
ALTER TABLE SVC_ELMT DROP CONSTRAINT SE_SCOPE;
ALTER TABLE ELMT_PROP DROP CONSTRAINT EP_PROP;
ALTER TABLE ELMT_PROP ADD CONSTRAINT EP_PROP FOREIGN KEY (PROP_ID) REFERENCES PROP_DEF (PROP_ID) ON DELETE CASCADE ON UPDATE RESTRICT;
ALTER TABLE OFFRG_PROP DROP CONSTRAINT OFFP_PROP;
ALTER TABLE OFFRG_PROP ADD CONSTRAINT OFFP_PROP FOREIGN KEY (PROP_ID) REFERENCES PROP_DEF (PROP_ID) ON DELETE CASCADE ON UPDATE RESTRICT;
ALTER TABLE ORDER_PROP DROP CONSTRAINT ORDP_PROP;
ALTER TABLE ORDER_PROP ADD CONSTRAINT ORDP_PROP FOREIGN KEY (PROP_ID) REFERENCES PROP_DEF (PROP_ID) ON DELETE CASCADE ON UPDATE RESTRICT;
ALTER TABLE AGREEMENT_VIOL DROP CONSTRAINT AGREE_PROP;
ALTER TABLE AGREEMENT_VIOL ADD CONSTRAINT AGREE_PROP FOREIGN KEY (PROP_ID) REFERENCES PROP_DEF (PROP_ID) ON DELETE CASCADE ON UPDATE RESTRICT;
ALTER TABLE MONITORING_RESULT DROP CONSTRAINT MR_PROP;
ALTER TABLE MONITORING_RESULT ADD CONSTRAINT MR_PROP FOREIGN KEY (PROP_ID) REFERENCES PROP_DEF (PROP_ID) ON DELETE CASCADE ON UPDATE RESTRICT;
ALTER TABLE TREND DROP CONSTRAINT TREND_PROP;
ALTER TABLE TREND ADD CONSTRAINT TREND_PROP FOREIGN KEY (PROP_ID) REFERENCES PROP_DEF (PROP_ID) ON DELETE CASCADE ON UPDATE RESTRICT;
ALTER TABLE METRIC DROP CONSTRAINT METRIC_PROP;
ALTER TABLE METRIC ADD CONSTRAINT METRIC_PROP FOREIGN KEY (PROP_ID) REFERENCES PROP_DEF (PROP_ID) ON DELETE CASCADE ON UPDATE RESTRICT;

--
-- Minimart Fixpack Migration Changes
--
DROP TABLE MM.COMPPATH;

CREATE TABLE MM.COMPPATH (
       COMP_ID	            INTEGER NOT NULL,
       COMP_PATH            VARCHAR(2048) NOT NULL,
       COMP_ID_PATH         VARCHAR(254) NOT NULL
);

--
--  Create user temporary space for use of temporary tables
--
create user temporary tablespace sdutemp managed by system
using ('SDUTEMP');


CREATE TABLE MM.EXTRACT_LOG (
    EXT_TARGET          VARCHAR(64) NOT NULL,
    COMPLETE_TM         TIMESTAMP NOT NULL DEFAULT,
    START_RANGE         INTEGER NOT NULL,
    END_RANGE           INTEGER NOT NULL,
    PRIMARY KEY (EXT_TARGET, COMPLETE_TM, START_RANGE, END_RANGE)
);

UPDATE MM.SCHEMA_VER SET VERSION='1.10.FP1';