------------------------ COPYRIGHT STATEMENT ----------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-C40
-- (C) Copyright IBM Corp. 2003.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
------------------------END OF COPYRIGHT STATEMENT -----------------------

--------------------------------------------------------------------------
--  CMVC Location:  src/tedw_apps/dyk/etl/sql/DYK_m05_s010_Populate_STAGE_Data.db2, etl.target, slm1.2.1.fp1
--  Version:        1.1
--  Last Modified:  7/18/03
--------------------------------------------------------------------------

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
drop table DYK.STAGE_EXTRACT_FILTER;

--#EXECUTE_AT_TARGET
CREATE TABLE DYK.STAGE_Extract_Filter (
       ExtFltr_Cd           CHAR(6) NOT NULL,
       ExtFltr_Flg          CHAR(1) NOT NULL,
       CONSTRAINT DYK_PKSTAGE_EFltr
              PRIMARY KEY (ExtFltr_Cd)
);

--#EXECUTE_AT_TARGET
--#IGNORE_ERROR
drop table DYK.STAGE_MSMTTYP;

--#EXECUTE_AT_TARGET
CREATE TABLE DYK.STAGE_MsmtTyp (
       MsmtTyp_ID           INTEGER NOT NULL,
       MUnit_Cd             CHAR(6) NOT NULL,
       MSrc_Cd              CHAR(6) NOT NULL,
       MsmtTyp_Nm           VARCHAR(120) NOT NULL,
       MsmtTyp_Ds           VARCHAR(254),
       CONSTRAINT DYK_PKSTAGE_MTyp 
              PRIMARY KEY (MsmtTyp_ID)
);

--#INSERT_INTO_TARGET
insert into DYK.STAGE_EXTRACT_FILTER 
SELECT 
   MM.EXTRACT_FILTER.EXTFLTR_CD AS EXTFLTR_CD,
   MM.EXTRACT_FILTER.EXTFLTR_FLG AS EXTFLTR_FLG 
FROM 
   MM.EXTRACT_FILTER;

-- #################################### -- 

--#EXECUTE_AT_TARGET
insert into DYK.STAGE_MSMTTYP 
SELECT 
   TWG.MSMTTYP.MSMTTYP_ID AS MSMTTYP_ID,
   TWG.MSMTTYP.MUNIT_CD AS MUNIT_CD,
   TWG.MSMTTYP.MSRC_CD AS MSRC_CD,
   TWG.MSMTTYP.MSMTTYP_NM AS MSMTTYP_NM,
   TWG.MSMTTYP.MSMTTYP_DS AS MSMTTYP_DS 
FROM 
   TWG.MSRC,
   TWG.MSMTTYP 
WHERE 
   ( (TWG.MSRC.MSRC_CD = TWG.MSMTTYP.MSRC_CD)      
     AND 
     ( (TWG.MSRC.MSRC_CD IN 
         (SELECT 
             ExtFltr_Cd 
          FROM 
             DYK.STAGE_Extract_Filter 
          WHERE 
             ExtFltr_Flg = 'Y')
       )
     )
   );

-- #################################### -- 
